| OID symbolic | OID numeric | Type | Access | Description |
| usrIpoa | 1.3.6.1.4.1.429.4.46 | | | The commWorks enterprise defined MIB objects for
IP over ATM with ARP. |
| usrIpoaObjects | 1.3.6.1.4.1.429.4.46.1 | | | |
| usrIpoaLisTable | 1.3.6.1.4.1.429.4.46.1.2 | | not-accessible | There is one entry in this table for every Logical IP
Subnet (LIS) that this system is a member of. |
| usrIpoaLisEntry | 1.3.6.1.4.1.429.4.46.1.2.1 | | not-accessible | Information about a single LIS that this system is a
member of.
This table is indexed by an IP subnet address.
Membership in a LIS is independent of the actual ATM
physical interfaces being used. The usrIpoaLisTable defines
all LISes that a system is a member of. The ipAddrTable
and the usrIpoaClientTable provides the mapping from local
IP address to ATM physical interface. The
ipoaLisIfMappingTable provides the mappings between
Logical IP Subnets and interfaces.
The ipoaLisTable is indexed by ipoaLisSubnetAddr.
An entry in the ipAddrTable should exist for each
ipAddrEntry that is associated with an IP over ATM
interface. Its ipAdEntAddr and ipAdEntNetMask when ANDed
should map to a ipoaLisSubnetAddr. |
| IP usrIpoaLisSubnetAddr | 1.3.6.1.4.1.429.4.46.1.2.1.1 | IpAddress | read-only | The IP subnet address associated with this LIS. |
| I32 usrIpoaLisDefaultMtu | 1.3.6.1.4.1.429.4.46.1.2.1.2 | Integer32 | read-create | The default MTU used within this LIS. Note that the actual
size used for a VC between two members of the LIS may be
negotiated during connection setup and may be different than
this value. The usrIpoaVcNegotiatedMtu object indicates the
actual MTU in use for a particular VC. |
| IPO usrIpoaLisDefaultEncapsType | 1.3.6.1.4.1.429.4.46.1.2.1.3 | IpoaEncapsType | read-create | The default encapsulation to use on VCs created for this
LIS. Note that the actual encapsulation type may be negotiated
during connection setup and may be different than this
value. The usrIpoaVcNegotiatedEncapsType object indicates the
actual encapsulation in use for a particular VC. |
| I32 usrIpoaLisInactivityTimer | 1.3.6.1.4.1.429.4.46.1.2.1.4 | Integer32 | read-create | The time, in seconds, before a call established for an
ipNetToMediaEntry on a client will timeout due to no
traffic being passed on the VC. A value of 0 implies
no time out. |
| I32 usrIpoaLisMinHoldingTime | 1.3.6.1.4.1.429.4.46.1.2.1.5 | Integer32 | read-create | The minimum amount of time, in seconds, that a call will
remain open. If 0 then usrIpoaInactivityTimer will
completely determine when a call is terminated. |
| I32 usrIpoaLisQDepth | 1.3.6.1.4.1.429.4.46.1.2.1.6 | Integer32 | read-create | The maximum number of outstanding requests that are
allowed while waiting for ATMARP replies and
In_ATMARP replies for this LIS. |
| I32 usrIpoaLisMaxCalls | 1.3.6.1.4.1.429.4.46.1.2.1.7 | Integer32 | read-create | The maximum number of SVCs that can be established
simultaneously. |
| I32 usrIpoaLisCacheEntryAge | 1.3.6.1.4.1.429.4.46.1.2.1.8 | Integer32 | read-create | The time, in seconds, before an ipNetToMediaEntry will age
out of the table. Note that the default value will be
different for a client and a server. A ATMARP server should
use a default of 1200 and a client should use 900. |
| I32 usrIpoaLisRetries | 1.3.6.1.4.1.429.4.46.1.2.1.9 | Integer32 | read-create | The number of times the ATMARP request will be retried when
no response is received in the timeout interval indicated by
usrIpoaLisTimeout. |
| I32 usrIpoaLisTimeout | 1.3.6.1.4.1.429.4.46.1.2.1.10 | Integer32 | read-create | The time to wait, in seconds, before retransmission of an ARP
PDU. |
| I32 usrIpoaLisDefaultPeakCellRate | 1.3.6.1.4.1.429.4.46.1.2.1.11 | Integer32 | read-create | This object is the signalling parameter that
should be used when setting up all best effort
VCCs. This parameter applies to the forward and
backward direction on a per best effort VCC basis.
A value of zero implies that no configured default
exists and that local policy should be used to
determine the actual default to used during
call setup. ATM Signaling Support for IP over ATM
(RFC 1755) recommends 1/10th of the ATM interface's
speed. |
| C32 usrIpoaLisActiveVcs | 1.3.6.1.4.1.429.4.46.1.2.1.12 | Counter32 | read-only | Number of active SVCs. |
| ROW usrIpoaLisRowStatus | 1.3.6.1.4.1.429.4.46.1.2.1.13 | RowStatus | read-create | This object allows entries to be created and deleted in the
usrIpoaLisTable.
When the usrIpoaLisRowStatus deleted (by setting this object to
destroy(6)), this has the side-effect of removing all
entries from the ipNetToMediaTable that are associated with
this LIS (in other words, it flushes the entity's ATMARP
cache). It also removes the usrIpoaVcTable entries that were
associated with those ipNetToMediaTable entries. Destroying
the row also removes the corresponding entries in the
usrIpoaArpSrvrTable, usrIpoaArpClientTable,
usrIpoaLisIfMappingTable and usrIpoaArpRemoteSrvrTable.
Entries in both the ipNetToMediaTable and the usrIpoaVcTable
that are associated with a usrIpoaConfigPvcEntry are not
effected by changes to usrIpoaLisRowStatus. |
| usrIpoaArpClientTable | 1.3.6.1.4.1.429.4.46.1.4 | | not-accessible | The ATMARP clients running on this system. |
| usrIpoaArpClientEntry | 1.3.6.1.4.1.429.4.46.1.4.1 | | not-accessible | Information about a single ATMARP Client. Clients can be
started and stopped by adding and removing entries from this
table. Note that adding and removing entries from this table
may have the same effect on the corresponding ipAddrTable
entry. An entry in the usrIpoaArpClientTable has a corresponding
entry in the ipAddrTable. Both are indexed by ipAdEntAddr.
The ifIndex and subnet mask of a client entry are the
ipAddrEntry's ipAdEntIfIndex and ipAdEntNetMask respectively.
A remote creation of an object in this table requires
that either the corresponding ipAddrTable entry exists or
that ipAdEntIfIndex and ipAdEntNetMask be specified in the
creation of a usrIpoaArpClientEntry at a minimum in order
to create the corresponding ipAddrEntry. Specification
of ipAdEntBcastAddr and ipAdEntReasmMaxSize to complete a
ipAddrEntry is implementation dependent. |
| IPO usrIpoaArpClientAtmAddr | 1.3.6.1.4.1.429.4.46.1.4.1.1 | IpoaAtmAddr | read-create | The ATM address of the client. |
| IPO usrIpoaArpClientSrvrInUse | 1.3.6.1.4.1.429.4.46.1.4.1.2 | IpoaAtmAddr | read-only | The ATM address of the ATMARP Server in use by this
client. A value of 0 implies that communication with
a ATMARP Server is not in effect. |
| C32 usrIpoaArpClientInArpReqsIn | 1.3.6.1.4.1.429.4.46.1.4.1.3 | Counter32 | read-only | The number of InATMARP requests received by this client. |
| C32 usrIpoaArpClientInArpReqsOut | 1.3.6.1.4.1.429.4.46.1.4.1.4 | Counter32 | read-only | The number of InATMARP requests sent by this client. |
| C32 usrIpoaArpClientInArpRepliesIn | 1.3.6.1.4.1.429.4.46.1.4.1.5 | Counter32 | read-only | The number of InATMARP replies received by this client. |
| C32 usrIpoaArpClientInArpRepliesOut | 1.3.6.1.4.1.429.4.46.1.4.1.6 | Counter32 | read-only | Total number of InATMARP replies sent by this client. |
| C32 usrIpoaArpClientInArpInvalidReqsIn | 1.3.6.1.4.1.429.4.46.1.4.1.7 | Counter32 | read-only | The number of times that this client detected an invalid
InATMARP request. |
| C32 usrIpoaArpClientInArpInvalidReqsOut | 1.3.6.1.4.1.429.4.46.1.4.1.8 | Counter32 | read-only | The number of times that this client did not receive
a InATMARP reply. |
| C32 usrIpoaArpClientArpReqsIn | 1.3.6.1.4.1.429.4.46.1.4.1.9 | Counter32 | read-only | Total number of ATMARP requests received by this client. |
| C32 usrIpoaArpClientArpReqsOut | 1.3.6.1.4.1.429.4.46.1.4.1.10 | Counter32 | read-only | Total number of ATMARP requests sent by this client. |
| C32 usrIpoaArpClientArpRepliesIn | 1.3.6.1.4.1.429.4.46.1.4.1.11 | Counter32 | read-only | Total number of ATMARP replies received by this client. |
| C32 usrIpoaArpClientArpRepliesOut | 1.3.6.1.4.1.429.4.46.1.4.1.12 | Counter32 | read-only | Total number of ATMARP replies sent by this client. |
| C32 usrIpoaArpClientArpNaksIn | 1.3.6.1.4.1.429.4.46.1.4.1.13 | Counter32 | read-only | Total number of negative ATMARP replies
received by this client. |
| C32 usrIpoaArpClientArpNaksOut | 1.3.6.1.4.1.429.4.46.1.4.1.14 | Counter32 | read-only | Total number of negative ATMARP replies
send by this client. |
| C32 usrIpoaArpClientArpOpUnknown | 1.3.6.1.4.1.429.4.46.1.4.1.15 | Counter32 | read-only | The number of times that this client received
an ATMARP message with an operation code for which it
is not coded to support. |
| C32 usrIpoaArpClientArpSrvrNoResp | 1.3.6.1.4.1.429.4.46.1.4.1.16 | Counter32 | read-only | The number of times this client failed to receive
a response from a ATMARP Server within the
usrIpoaLisTimeout value for usrIpoaLisRetries times.
This may imply that the client will re-elect a
primary ATMARP server for this LIS from the
usrIpoaArpRemoteSrvrTable. |
| ROW usrIpoaArpClientRowStatus | 1.3.6.1.4.1.429.4.46.1.4.1.17 | RowStatus | read-create | This object allows entries to be created and deleted from the
usrIpoaArpClientTable. |
| usrIpoaArpRemoteSrvrTable | 1.3.6.1.4.1.429.4.46.1.6 | | not-accessible | A table of non-local ATMARP servers associated with a LIS.
An entry in this table has three indexes: first the
usrIpoaLisSubnetAddr of the LIS that the corresponding
ATMARP server provides ATMARP services for, then the
usrIpoaArpRemoteSrvrAtmAddr, which is the ATM address of the
remote ATMARP server and finally the ifIndex of the
interface on which the VC to the ATMARP Remote Server
will be opened. A ifIndex value of 0 should be used
when a single VC is to be shared for ATMARP purposes
by multiple interfaces. |
| usrIpoaArpRemoteSrvrEntry | 1.3.6.1.4.1.429.4.46.1.6.1 | | not-accessible | Information about one non-local ATMARP server. |
| IPO usrIpoaArpRemoteSrvrAtmAddr | 1.3.6.1.4.1.429.4.46.1.6.1.1 | IpoaAtmAddr | not-accessible | The ATM address of the remote ATMARP server. |
| ROW usrIpoaArpRemoteSrvrRowStatus | 1.3.6.1.4.1.429.4.46.1.6.1.2 | RowStatus | read-create | This object allows entries to be created and deleted from the
usrIpoaArpRemoteSrvrTable as well as indicating the weather a
VC exists to the Remote ATMARP Server.
usrIpoaArpRemoteSrvrRowStatus states:
active(1) - VC exists to Remote ATMARP Server who's IP
Address is stored in
usrIpoaArpRemoteSrvrIpAddr.
This VC can be determined by searching the
usrIpoaVcTable using usrIpoaArpRemoteSrvrIfIndex
(if not 0 otherwise ignore
ipNetToMediaIfIndex
index) and usrIpoaArpRemoteSrvrIpAddr. A
usrIpoaArpClientEntry should exist were its
usrIpoaArpClientSrvrInUse object has the same
value as usrIpoaArpRemoteSrvrAtmAddr.
notInService(2) - Entry exists without an active VC to
the Remote ATMARP Server.
notReady(3) - usrIpoaArpRemoteSrvrEntry is incomplete.
createAndGo(4) - Value used to remotely create an entry
and then active it.
createAndWait(5) - Value used to remotely create an entry and
leave entry inactive with either
notInService or notReady state.
destroy(6) - When usrIpoaArpRemoteSrvrRowStatus is set with
this value the corresponding table entry is
deleted. |
| NUM usrIpoaArpRemoteSrvrIfIndex | 1.3.6.1.4.1.429.4.46.1.6.1.3 | InterfaceIndexOrZero | not-accessible | The ifIndex of the interface that the VC to the
Remote ATMARP Server is associated with. |
| IP usrIpoaArpRemoteSrvrIpAddr | 1.3.6.1.4.1.429.4.46.1.6.1.4 | IpAddress | read-only | The IP Address of the Remote ATMARP Server. A value of
0 implies that this address isn't known. |
| usrIpoaVcTable | 1.3.6.1.4.1.429.4.46.1.7 | | not-accessible | A system that support IP over ATM is an IP system and
therefore must support all of the appropriate tables from
RFC1213, MIB-II. This includes the ipNetToMediaTable (the ARP
cache). This usrIpoaVcTable keeps a set of VCs for each entry in
the ARP cache that was put there by this IP over ATM system
acting as either a host or server. |
| usrIpoaVcEntry | 1.3.6.1.4.1.429.4.46.1.7.1 | | not-accessible | A VC (permanent or switched) that this host or server has
opened with another member of a LIS. Additional information
can be determined about the VC from RFC1695, the AToM MIB.
In an SVC environment, entries can not be created in
this table by a management application. Entries are
automatically
added by the system as the result of ATMARP processing.
In a PVC environment, an entry is automatically added to
this table when an entry is created in the usrIpoaConfigPvcTable
and the IP Address at the end of the PVC is discovered using
In_ATMARP. An entry also is added to the ipNetToMediaTable. |
| NUM usrIpoaVcVpi | 1.3.6.1.4.1.429.4.46.1.7.1.1 | IpoaVpiInteger | read-only | The VPI value for the Virtual Circuit. |
| NUM usrIpoaVcVci | 1.3.6.1.4.1.429.4.46.1.7.1.2 | IpoaVciInteger | read-only | The VCI value for the Virtual Circuit. |
| ATM usrIpoaVcType | 1.3.6.1.4.1.429.4.46.1.7.1.3 | AtmConnKind | read-only | The type of the Virtual Circuit. |
| IPO usrIpoaVcNegotiatedEncapsType | 1.3.6.1.4.1.429.4.46.1.7.1.4 | IpoaEncapsType | read-only | The encapsulation type used when communicating over this
circuit. |
| I32 usrIpoaVcNegotiatedMtu | 1.3.6.1.4.1.429.4.46.1.7.1.5 | Integer32 | read-only | The MTU used when communicating over this circuit. |
| usrIpoaConfigPvcTable | 1.3.6.1.4.1.429.4.46.1.8 | | not-accessible | This table must be supported when PVCs are intended to
be supported in order to enable the setup of PVCs for use
by IP. |
| usrIpoaConfigPvcEntry | 1.3.6.1.4.1.429.4.46.1.8.1 | | not-accessible | Defines a single PVC that exists at this host for use by
IP. |
| NUM usrIpoaConfigPvcIfIndex | 1.3.6.1.4.1.429.4.46.1.8.1.1 | InterfaceIndex | not-accessible | The ifIndex of the ATM AAL Interface that this PVC
is associated with. |
| NUM usrIpoaConfigPvcVpi | 1.3.6.1.4.1.429.4.46.1.8.1.2 | IpoaVpiInteger | not-accessible | The VPI value for the Virtual Circuit. |
| NUM usrIpoaConfigPvcVci | 1.3.6.1.4.1.429.4.46.1.8.1.3 | IpoaVciInteger | not-accessible | The VCI value for the Virtual Circuit. |
| I32 usrIpoaConfigPvcDefaultMtu | 1.3.6.1.4.1.429.4.46.1.8.1.4 | Integer32 | read-create | Classic2 allows use of other MTU values for PVCs
but considers the how a value other than 9180 could
be selected to be out of scope. usrIpoaConfigPvcDefaultMtu
can be used to configure the MTU to be used for the PVC.
Both ends must have the same value configured. |
| ROW usrIpoaConfigPvcRowStatus | 1.3.6.1.4.1.429.4.46.1.8.1.5 | RowStatus | read-create | This object allows rows to be created and deleted in the
usrIpoaConfigPvcTable. Creation of a entry in this table
should eventually result in the creation of a
ipNetToMediaEntry
and a corresponding usrIpoaVcEntry after InATMARP has
determined the destination address of system that the
PVC is connected to. Setting this object to destroy(6)
should remove the corresponding ipNetToMediaTable and
usrIpoaVcTable entries. In this implementation, setting
this object to destroy also removes the corresponding
entry in the AtmArpPvcTable. |
| usrIpoaNotifications | 1.3.6.1.4.1.429.4.46.2 | | | |
| NTF usrIpoaMtuExceeded | 1.3.6.1.4.1.429.4.46.2.1 | | | A frame was received that exceeds the negotiated MTU size. |
| usrIpoaConformance | 1.3.6.1.4.1.429.4.46.3 | | | |
| usrAtmArpPvcTable | 1.3.6.1.4.1.429.4.49.1 | | not-accessible | This table must be supported when PVCs are intended to
be supported in order to enable the setup of PVCs for use
by IP. This table contains additional implementation
specific information required for RFC 1577 PVCs. This table
is mainly used to translate the IP Over ATM PVC name to the
corresponding Ifindex, VPI and VCI values used to identify
this PVC in the ConfigPvc table. |
| usrAtmArpPvcEntry | 1.3.6.1.4.1.429.4.49.1.1 | | not-accessible | Defines a single PVC that exists at this host for use by
IP. Entries in this table must be created at the same time
entries are created in the IpoaConfigPvc table. |
| STR usrAtmArpPvcName | 1.3.6.1.4.1.429.4.49.1.1.1 | DisplayString | not-accessible | A string containing the name of the RFC1577 PVC. |
| NUM usrAtmArpPvcIfIndex | 1.3.6.1.4.1.429.4.49.1.1.2 | InterfaceIndex | read-create | The ifIndex of the ATM AAL Interface that this PVC
is associated with. |
| NUM usrAtmArpPvcVpi | 1.3.6.1.4.1.429.4.49.1.1.3 | IpoaVpiInteger | read-create | The VPI value for the Virtual Circuit. |
| NUM usrAtmArpPvcVci | 1.3.6.1.4.1.429.4.49.1.1.4 | IpoaVciInteger | read-create | The VCI value for the Virtual Circuit. |
| STR usrAtmArpPvcNetworkName | 1.3.6.1.4.1.429.4.49.1.1.5 | DisplayString | read-create | A string containing the name of the network of this RFC1577 PVC. |
| STR usrAtmArpPvcInterfaceName | 1.3.6.1.4.1.429.4.49.1.1.6 | DisplayString | read-only | A string containing the name of the ATMAAL interface where this RFC1577 PVC is established. |
| NUM usrAtmArpPvcNetIfIndex | 1.3.6.1.4.1.429.4.49.1.1.7 | InterfaceIndex | read-create | The ifIndex of the ATM Net Interface that this PVC
is associated with. |
| INT usrAtmArpPvcEnabledFlag | 1.3.6.1.4.1.429.4.49.1.1.8 | INTEGER | read-create | This flag indicates if this ATM 1577 PVC is enabled or disabled. |
| STR usrAtmArpConfigFileName | 1.3.6.1.4.1.429.4.49.2 | DisplayString | read-only | The name of a ConfigFile to read/write permanent
database records. If the value of this object is an
empty string, then ATM ARP uses the default
name `@file://Atmarp.cfg'. |
| USR usrAtmArpCFMStatusFlag | 1.3.6.1.4.1.429.4.49.3 | UsrConfigStatus | read-write | Setting the value of this object to `save' causes the values
of the ATM ARP MIB objects to be written out to the
current config file, which is stored in the
usrIpoaArpConfigFileName object. While the new
ConfigFile is being written, ATM ARP
will set the value of this flag to `saving''. Any
attempts to set the value while it is not `normal'
(i.e. the file is currently being written to the
ConfigFile) while result in a badValue error being
returned. Setting the value to `normal' will result in no
action. |
| usrAtmArpServerNameTable | 1.3.6.1.4.1.429.4.49.4 | | not-accessible | atm arp remote server name config table. |
| usrAtmArpServerNameEntry | 1.3.6.1.4.1.429.4.49.4.1 | | not-accessible | entry in the atm arp server name table |
| STR usrAtmArpServerName | 1.3.6.1.4.1.429.4.49.4.1.1 | DisplayString | not-accessible | A string containing the name of the atm arp server. |
| IP usrAtmArpLISSubnetAddress | 1.3.6.1.4.1.429.4.49.4.1.2 | IpAddress | read-create | LIS subnet address. |
| ATM usrAtmArpRemoteServerAtmAddr | 1.3.6.1.4.1.429.4.49.4.1.3 | AtmAddr | read-create | Remote arp server atm address. |
| I32 usrAtmArpRemoteServerIfIndex | 1.3.6.1.4.1.429.4.49.4.1.4 | Integer32 | read-create | Interface index |
| I32 usrAtmArpServerRowStatus | 1.3.6.1.4.1.429.4.49.4.1.5 | Integer32 | read-only | server name index. dummy object, used to figure out
server name in the list. |
| STR usrAtmArpRemoteServerIfName | 1.3.6.1.4.1.429.4.49.4.1.6 | DisplayString | read-create | Interface index |